/*!
 * Copyright 2019 EPAM Systems
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.defect-statistics {
  line-height: 20px;

  @media (max-width: $SCREEN_SM_MAX) {
    margin: auto;
    text-align: center;
  }
}
.title {
  display: none;
  width: 100%;
  font-family: $FONT-SEMIBOLD;
  font-size: 13px;
  text-transform: uppercase;

  @media (max-width: $SCREEN_SM_MAX) {
    display: inline-block;
  }
}
.circle {
  position: relative;
  top: 1px;
  display: inline-block;
  margin-right: 5px;
  width: 12px;
  height: 12px;
  border-radius: 100%;

  &.type-product_bug {
    background-color: $COLOR--product-bug;
  }
  &.type-test_bug {
    background-color: $COLOR--test-bug;
  }
  &.type-system_issue {
    background-color: $COLOR--system-issue;
  }
  &.type-to_investigate {
    background-color: $COLOR--to-investigate;
  }
  &.type-minor_defect {
    background-color: $COLOR--minor-defect;
  }
}
.value {
  display: inline-block;
  font-family: $FONT-REGULAR;
  color: $COLOR--windows-blue;
  font-size: 15px;
  line-height: 20px;
  text-decoration: none;
  vertical-align: top;
}
.desktop-visible {
  position: relative;
  display: inline-block;
  width: 56px;

  @media (max-width: $SCREEN_SM_MAX) {
    display: none;
  }
}
.desktop-hidden {
  display: none;

  @media (max-width: $SCREEN_SM_MAX) {
    display: inline-block;
  }

  a {
    font-family: $FONT-REGULAR;
    font-size: 16px;
    line-height: 20px;
    color: $COLOR--windows-blue;
    text-decoration: none;
  }
}
